package com.muzhi.dingtalk.test.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muzhi.dingtalk.test.entity.Employee;
import com.muzhi.dingtalk.test.entity.vo.EmployeeDataVo;
import com.muzhi.dingtalk.test.entity.vo.EmployeeQuery;
import com.muzhi.dingtalk.test.entity.vo.EmployeeVo;

import java.util.List;

public interface EmployeeService extends IService<Employee> {

    //获取公司在职员工id列表（已去除",[]）
    String getEmployeeId();

    //获取公司离职员工id列表（已去除",[]）
    String getLiZhiEmployeeId();


    //获取公司在职员工id列表（未去除",[]）
    List<String> getEmployeeIdAll();

    //查询钉钉接口中的花名册信息
    String getDingHuamingce();

    //获取数据库中员工花名册employee实体类表数据进行前端接口调用展示数据
    public EmployeeDataVo<Employee> getHuamingce(Integer page,Integer limit, EmployeeQuery employeeQuery);
}
